Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Mg22GEMCoulombBarrier.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Mg22GEMCoulombBarrier.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Mg22GEMCoulombBarrier.hh	(revision 1196)
@@ -25,20 +25,28 @@
 //
 //
-// $Id: G4Mg22GEMCoulombBarrier.hh,v 1.3 2006/06/29 20:16:57 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4Mg22GEMCoulombBarrier.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
 // by V. Lara (Dec 1999)
-
+//
+//J.M. Quesada (July 2009) Coulomb barrier now derives from new class G4GEMCoulombBarrier
+// strictly according to Furihata's report
+//
 #ifndef G4Mg22GEMCoulombBarrier_h
 #define G4Mg22GEMCoulombBarrier_h 1
 
-#include "G4GEMCoulombBarrierHE.hh"
+//#include "G4GEMCoulombBarrierHE.hh"
+#include "G4GEMCoulombBarrier.hh"
 #include "globals.hh"
 
-class G4Mg22GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+//JMQ 200709 now derives from new class G4GEMCoulombBarrier
+//class G4Mg22GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+class G4Mg22GEMCoulombBarrier : public G4GEMCoulombBarrier
 {
 public:
-  G4Mg22GEMCoulombBarrier() : G4GEMCoulombBarrierHE(22,12) {};
+//JMQ 200709
+//  G4Mg22GEMCoulombBarrier() : G4GEMCoulombBarrierHE(22,12) {};
+ G4Mg22GEMCoulombBarrier() : G4GEMCoulombBarrier(22,12) {};
   ~G4Mg22GEMCoulombBarrier() {};
 
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Mg22GEMProbability.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Mg22GEMProbability.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Mg22GEMProbability.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4Mg22GEMProbability.hh,v 1.3 2006/06/29 20:16:59 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4Mg22GEMProbability.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Mg23GEMChannel.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Mg23GEMChannel.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Mg23GEMChannel.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4Mg23GEMChannel.hh,v 1.3 2006/06/29 20:17:01 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4Mg23GEMChannel.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Mg23GEMCoulombBarrier.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Mg23GEMCoulombBarrier.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Mg23GEMCoulombBarrier.hh	(revision 1196)
@@ -25,20 +25,28 @@
 //
 //
-// $Id: G4Mg23GEMCoulombBarrier.hh,v 1.3 2006/06/29 20:17:03 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4Mg23GEMCoulombBarrier.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
 // by V. Lara (Dec 1999)
-
+//
+//J.M. Quesada (July 2009) Coulomb barrier now derives from new class G4GEMCoulombBarrier
+// strictly according to Furihata's report
+//
 #ifndef G4Mg23GEMCoulombBarrier_h
 #define G4Mg23GEMCoulombBarrier_h 1
 
-#include "G4GEMCoulombBarrierHE.hh"
+//#include "G4GEMCoulombBarrierHE.hh"
+#include "G4GEMCoulombBarrier.hh"
 #include "globals.hh"
 
-class G4Mg23GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+//JMQ 200709 now derives from new class G4GEMCoulombBarrier
+//class G4Mg23GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+class G4Mg23GEMCoulombBarrier : public G4GEMCoulombBarrier
 {
 public:
-  G4Mg23GEMCoulombBarrier() : G4GEMCoulombBarrierHE(23,12) {};
+//JMQ 200709
+//  G4Mg23GEMCoulombBarrier() : G4GEMCoulombBarrierHE(23,12) {};
+ G4Mg23GEMCoulombBarrier() : G4GEMCoulombBarrier(23,12) {};
   ~G4Mg23GEMCoulombBarrier() {};
 
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Mg23GEMProbability.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Mg23GEMProbability.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Mg23GEMProbability.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4Mg23GEMProbability.hh,v 1.3 2006/06/29 20:17:05 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4Mg23GEMProbability.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Mg24GEMChannel.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Mg24GEMChannel.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Mg24GEMChannel.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4Mg24GEMChannel.hh,v 1.3 2006/06/29 20:17:07 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4Mg24GEMChannel.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Mg24GEMCoulombBarrier.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Mg24GEMCoulombBarrier.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Mg24GEMCoulombBarrier.hh	(revision 1196)
@@ -25,20 +25,28 @@
 //
 //
-// $Id: G4Mg24GEMCoulombBarrier.hh,v 1.3 2006/06/29 20:17:09 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4Mg24GEMCoulombBarrier.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
 // by V. Lara (Dec 1999)
-
+//
+//J.M. Quesada (July 2009) Coulomb barrier now derives from new class G4GEMCoulombBarrier
+// strictly according to Furihata's report
+//
 #ifndef G4Mg24GEMCoulombBarrier_h
 #define G4Mg24GEMCoulombBarrier_h 1
 
-#include "G4GEMCoulombBarrierHE.hh"
+//#include "G4GEMCoulombBarrierHE.hh"
+#include "G4GEMCoulombBarrier.hh"
 #include "globals.hh"
 
-class G4Mg24GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+//JMQ 200709 now derives from new class G4GEMCoulombBarrier
+//class G4Mg24GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+class G4Mg24GEMCoulombBarrier : public G4GEMCoulombBarrier
 {
 public:
-  G4Mg24GEMCoulombBarrier() : G4GEMCoulombBarrierHE(24,12) {};
+//JMQ 200709
+//  G4Mg24GEMCoulombBarrier() : G4GEMCoulombBarrierHE(24,12) {};
+ G4Mg24GEMCoulombBarrier() : G4GEMCoulombBarrier(24,12) {};
   ~G4Mg24GEMCoulombBarrier() {};
 
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Mg24GEMProbability.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Mg24GEMProbability.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Mg24GEMProbability.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4Mg24GEMProbability.hh,v 1.3 2006/06/29 20:17:11 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4Mg24GEMProbability.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Mg25GEMChannel.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Mg25GEMChannel.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Mg25GEMChannel.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4Mg25GEMChannel.hh,v 1.3 2006/06/29 20:17:13 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4Mg25GEMChannel.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Mg25GEMCoulombBarrier.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Mg25GEMCoulombBarrier.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Mg25GEMCoulombBarrier.hh	(revision 1196)
@@ -25,20 +25,28 @@
 //
 //
-// $Id: G4Mg25GEMCoulombBarrier.hh,v 1.3 2006/06/29 20:17:15 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4Mg25GEMCoulombBarrier.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
 // by V. Lara (Dec 1999)
-
+//
+//J.M. Quesada (July 2009) Coulomb barrier now derives from new class G4GEMCoulombBarrier
+// strictly according to Furihata's report
+//
 #ifndef G4Mg25GEMCoulombBarrier_h
 #define G4Mg25GEMCoulombBarrier_h 1
 
-#include "G4GEMCoulombBarrierHE.hh"
+//#include "G4GEMCoulombBarrierHE.hh"
+#include "G4GEMCoulombBarrier.hh"
 #include "globals.hh"
 
-class G4Mg25GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+//JMQ 200709 now derives from new class G4GEMCoulombBarrier
+//class G4Mg25GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+class G4Mg25GEMCoulombBarrier : public G4GEMCoulombBarrier
 {
 public:
-  G4Mg25GEMCoulombBarrier() : G4GEMCoulombBarrierHE(25,12) {};
+//JMQ 200709
+//  G4Mg25GEMCoulombBarrier() : G4GEMCoulombBarrierHE(25,12) {};
+ G4Mg25GEMCoulombBarrier() : G4GEMCoulombBarrier(25,12) {};
   ~G4Mg25GEMCoulombBarrier() {};
 
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Mg25GEMProbability.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Mg25GEMProbability.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Mg25GEMProbability.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4Mg25GEMProbability.hh,v 1.3 2006/06/29 20:17:17 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4Mg25GEMProbability.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Mg26GEMChannel.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Mg26GEMChannel.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Mg26GEMChannel.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4Mg26GEMChannel.hh,v 1.3 2006/06/29 20:17:19 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4Mg26GEMChannel.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Mg26GEMCoulombBarrier.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Mg26GEMCoulombBarrier.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Mg26GEMCoulombBarrier.hh	(revision 1196)
@@ -25,20 +25,28 @@
 //
 //
-// $Id: G4Mg26GEMCoulombBarrier.hh,v 1.3 2006/06/29 20:17:21 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4Mg26GEMCoulombBarrier.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
 // by V. Lara (Dec 1999)
-
+//
+//J.M. Quesada (July 2009) Coulomb barrier now derives from new class G4GEMCoulombBarrier
+// strictly according to Furihata's report
+//
 #ifndef G4Mg26GEMCoulombBarrier_h
 #define G4Mg26GEMCoulombBarrier_h 1
 
-#include "G4GEMCoulombBarrierHE.hh"
+//#include "G4GEMCoulombBarrierHE.hh"
+#include "G4GEMCoulombBarrier.hh"
 #include "globals.hh"
 
-class G4Mg26GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+//JMQ 200709 now derives from new class G4GEMCoulombBarrier
+//class G4Mg26GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+class G4Mg26GEMCoulombBarrier : public G4GEMCoulombBarrier
 {
 public:
-  G4Mg26GEMCoulombBarrier() : G4GEMCoulombBarrierHE(26,12) {};
+//JMQ 200709
+//  G4Mg26GEMCoulombBarrier() : G4GEMCoulombBarrierHE(26,12) {};
+ G4Mg26GEMCoulombBarrier() : G4GEMCoulombBarrier(26,12) {};
   ~G4Mg26GEMCoulombBarrier() {};
 
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Mg26GEMProbability.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Mg26GEMProbability.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Mg26GEMProbability.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4Mg26GEMProbability.hh,v 1.3 2006/06/29 20:17:23 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4Mg26GEMProbability.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Mg27GEMChannel.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Mg27GEMChannel.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Mg27GEMChannel.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4Mg27GEMChannel.hh,v 1.3 2006/06/29 20:17:25 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4Mg27GEMChannel.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Mg27GEMCoulombBarrier.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Mg27GEMCoulombBarrier.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Mg27GEMCoulombBarrier.hh	(revision 1196)
@@ -25,21 +25,29 @@
 //
 //
-// $Id: G4Mg27GEMCoulombBarrier.hh,v 1.3 2006/06/29 20:17:27 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4Mg27GEMCoulombBarrier.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
 // by V. Lara (Dec 1999)
-
+//
+//J.M. Quesada (July 2009) Coulomb barrier now derives from new class G4GEMCoulombBarrier
+// strictly according to Furihata's report
+//
 #ifndef G4Mg27GEMCoulombBarrier_h
 #define G4Mg27GEMCoulombBarrier_h 1
 
-#include "G4GEMCoulombBarrierHE.hh"
+//#include "G4GEMCoulombBarrierHE.hh"
+#include "G4GEMCoulombBarrier.hh"
 #include "globals.hh"
 
-class G4Mg27GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+//JMQ 200709 now derives from new class G4GEMCoulombBarrier
+//class G4Mg27GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+class G4Mg27GEMCoulombBarrier : public G4GEMCoulombBarrier
 {
 public:
-  G4Mg27GEMCoulombBarrier() : G4GEMCoulombBarrierHE(27,12) {};
-  ~G4Mg27GEMCoulombBarrier() {};
+//JMQ 200709
+//  G4Mg27GEMCoulombBarrier() : G4GEMCoulombBarrierHE(27,12) {};
+ G4Mg27GEMCoulombBarrier() : G4GEMCoulombBarrier(27,12) {};
+  ~G4Mg27GEMCoulombBarrier() {}; 
 
 private:
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Mg27GEMProbability.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Mg27GEMProbability.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Mg27GEMProbability.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4Mg27GEMProbability.hh,v 1.3 2006/06/29 20:17:29 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4Mg27GEMProbability.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Mg28GEMChannel.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Mg28GEMChannel.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Mg28GEMChannel.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4Mg28GEMChannel.hh,v 1.3 2006/06/29 20:17:31 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4Mg28GEMChannel.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Mg28GEMCoulombBarrier.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Mg28GEMCoulombBarrier.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Mg28GEMCoulombBarrier.hh	(revision 1196)
@@ -25,21 +25,29 @@
 //
 //
-// $Id: G4Mg28GEMCoulombBarrier.hh,v 1.3 2006/06/29 20:17:33 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4Mg28GEMCoulombBarrier.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
 // by V. Lara (Dec 1999)
-
+//
+//J.M. Quesada (July 2009) Coulomb barrier now derives from new class G4GEMCoulombBarrier
+// strictly according to Furihata's report
+//
 #ifndef G4Mg28GEMCoulombBarrier_h
 #define G4Mg28GEMCoulombBarrier_h 1
 
-#include "G4GEMCoulombBarrierHE.hh"
+//#include "G4GEMCoulombBarrierHE.hh"
+#include "G4GEMCoulombBarrier.hh"
 #include "globals.hh"
 
-class G4Mg28GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+//JMQ 200709 now derives from new class G4GEMCoulombBarrier
+//class G4Mg28GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+class G4Mg28GEMCoulombBarrier : public G4GEMCoulombBarrier
 {
 public:
-  G4Mg28GEMCoulombBarrier() : G4GEMCoulombBarrierHE(28,12) {};
-  ~G4Mg28GEMCoulombBarrier() {};
+//JMQ 200709
+//  G4Mg28GEMCoulombBarrier() : G4GEMCoulombBarrierHE(28,12) {};
+ G4Mg28GEMCoulombBarrier() : G4GEMCoulombBarrier(28,12) {};
+  ~G4Mg28GEMCoulombBarrier() {}; 
 
 private:
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Mg28GEMProbability.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Mg28GEMProbability.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Mg28GEMProbability.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4Mg28GEMProbability.hh,v 1.3 2006/06/29 20:17:35 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4Mg28GEMProbability.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4N12GEMChannel.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4N12GEMChannel.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4N12GEMChannel.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4N12GEMChannel.hh,v 1.3 2006/06/29 20:17:37 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4N12GEMChannel.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4N12GEMCoulombBarrier.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4N12GEMCoulombBarrier.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4N12GEMCoulombBarrier.hh	(revision 1196)
@@ -25,20 +25,28 @@
 //
 //
-// $Id: G4N12GEMCoulombBarrier.hh,v 1.3 2006/06/29 20:17:39 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4N12GEMCoulombBarrier.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
 // by V. Lara (Dec 1999)
-
+//
+//J.M. Quesada (July 2009) Coulomb barrier now derives from new class G4GEMCoulombBarrier
+// strictly according to Furihata's report
+//
 #ifndef G4N12GEMCoulombBarrier_h
 #define G4N12GEMCoulombBarrier_h 1
 
-#include "G4GEMCoulombBarrierHE.hh"
+//#include "G4GEMCoulombBarrierHE.hh"
+#include "G4GEMCoulombBarrier.hh"
 #include "globals.hh"
 
-class G4N12GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+//JMQ 200709 now derives from new class G4GEMCoulombBarrier
+//class G4N12GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+class G4N12GEMCoulombBarrier : public G4GEMCoulombBarrier
 {
 public:
-  G4N12GEMCoulombBarrier() : G4GEMCoulombBarrierHE(12,7) {};
+//JMQ 200709
+//  G4N12GEMCoulombBarrier() : G4GEMCoulombBarrierHE(12,7) {};
+  G4N12GEMCoulombBarrier() : G4GEMCoulombBarrier(12,7) {};
   ~G4N12GEMCoulombBarrier() {};
 
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4N12GEMProbability.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4N12GEMProbability.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4N12GEMProbability.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4N12GEMProbability.hh,v 1.3 2006/06/29 20:17:41 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4N12GEMProbability.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4N13GEMChannel.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4N13GEMChannel.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4N13GEMChannel.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4N13GEMChannel.hh,v 1.3 2006/06/29 20:17:43 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4N13GEMChannel.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4N13GEMCoulombBarrier.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4N13GEMCoulombBarrier.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4N13GEMCoulombBarrier.hh	(revision 1196)
@@ -25,20 +25,28 @@
 //
 //
-// $Id: G4N13GEMCoulombBarrier.hh,v 1.3 2006/06/29 20:17:45 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4N13GEMCoulombBarrier.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
 // by V. Lara (Dec 1999)
-
+//
+//J.M. Quesada (July 2009) Coulomb barrier now derives from new class G4GEMCoulombBarrier
+// strictly according to Furihata's report
+//
 #ifndef G4N13GEMCoulombBarrier_h
 #define G4N13GEMCoulombBarrier_h 1
 
-#include "G4GEMCoulombBarrierHE.hh"
+//#include "G4GEMCoulombBarrierHE.hh"
+#include "G4GEMCoulombBarrier.hh"
 #include "globals.hh"
 
-class G4N13GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+//JMQ 200709 now derives from new class G4GEMCoulombBarrier
+//class G4N13GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+class G4N13GEMCoulombBarrier : public G4GEMCoulombBarrier
 {
 public:
-  G4N13GEMCoulombBarrier() : G4GEMCoulombBarrierHE(13,7) {};
+//JMQ 200709
+//  G4N13GEMCoulombBarrier() : G4GEMCoulombBarrierHE(13,7) {};
+  G4N13GEMCoulombBarrier() : G4GEMCoulombBarrier(13,7) {};
   ~G4N13GEMCoulombBarrier() {};
 
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4N13GEMProbability.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4N13GEMProbability.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4N13GEMProbability.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4N13GEMProbability.hh,v 1.3 2006/06/29 20:17:47 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4N13GEMProbability.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4N14GEMChannel.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4N14GEMChannel.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4N14GEMChannel.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4N14GEMChannel.hh,v 1.3 2006/06/29 20:17:49 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4N14GEMChannel.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4N14GEMCoulombBarrier.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4N14GEMCoulombBarrier.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4N14GEMCoulombBarrier.hh	(revision 1196)
@@ -25,20 +25,28 @@
 //
 //
-// $Id: G4N14GEMCoulombBarrier.hh,v 1.3 2006/06/29 20:17:51 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4N14GEMCoulombBarrier.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
 // by V. Lara (Dec 1999)
-
+//
+//J.M. Quesada (July 2009) Coulomb barrier now derives from new class G4GEMCoulombBarrier
+// strictly according to Furihata's report
+//
 #ifndef G4N14GEMCoulombBarrier_h
 #define G4N14GEMCoulombBarrier_h 1
 
-#include "G4GEMCoulombBarrierHE.hh"
+//#include "G4GEMCoulombBarrierHE.hh"
+#include "G4GEMCoulombBarrier.hh"
 #include "globals.hh"
 
-class G4N14GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+//JMQ 200709 now derives from new class G4GEMCoulombBarrier
+//class G4N14GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+class G4N14GEMCoulombBarrier : public G4GEMCoulombBarrier
 {
 public:
-  G4N14GEMCoulombBarrier() : G4GEMCoulombBarrierHE(14,7) {};
+//JMQ 200709
+//  G4N14GEMCoulombBarrier() : G4GEMCoulombBarrierHE(14,7) {};
+  G4N14GEMCoulombBarrier() : G4GEMCoulombBarrier(14,7) {};
   ~G4N14GEMCoulombBarrier() {};
 
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4N14GEMProbability.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4N14GEMProbability.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4N14GEMProbability.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4N14GEMProbability.hh,v 1.3 2006/06/29 20:17:53 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4N14GEMProbability.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4N15GEMChannel.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4N15GEMChannel.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4N15GEMChannel.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4N15GEMChannel.hh,v 1.3 2006/06/29 20:17:55 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4N15GEMChannel.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
